declare @ver varchar(10)
       ,@str varchar(250);

set @ver = '842.1';--      

set @str = (SELECT convert(varchar,[value]) FROM sys.extended_properties WHERE (class = 0) and ([name]= ''))
if (@ver <> isnull(@str, ''))
begin
  set @str = '      ' + @ver + '(  ' + @str  + ')'; 
  raiserror (@str, 16, 1);
end
GO

--------------------------------------------------------------------------------
alter table Spr_Doc
alter column MaskNum varchar(20);

alter table Spr_Doc
alter column Name varchar(150);
GO

--------------------------------------------------------------------------------
declare @spr table(Kod integer, Name varchar(150), MaskSer varchar(10), MaskNum varchar(20))

insert into @spr
	select 1 as IDDoc, '  ' as DosName, 'R-' as DocSer, '999999' as DocNum union all
	select 2 as IDDoc, '  ' as DosName, 'SSSSSSSS' as DocSer, '90000000' as DocNum union all
	select 3 as IDDoc, '  ,    ' as DosName, 'R-' as DocSer, '999999' as DocNum union all
	select 4 as IDDoc, '  ' as DosName, '' as DocSer, '9999999' as DocNum union all
	select 5 as IDDoc, '      ' as DosName, 'SSSSSSSS' as DocSer, '90000000' as DocNum union all
	select 6 as IDDoc, ' ' as DosName, '' as DocSer, '999999' as DocNum union all
	select 7 as IDDoc, ' ' as DosName, '' as DocSer, '9999990' as DocNum union all
	select 8 as IDDoc, '    ' as DosName, '99' as DocSer, '9999999' as DocNum union all
	select 9 as IDDoc, '  ' as DosName, 'SSSSSSSS' as DocSer, '900000000000' as DocNum union all
	select 10 as IDDoc, '           ' as DosName, 'SSSSSSSS' as DocSer, '900000000000' as DocNum union all
	select 11 as IDDoc, '  ' as DosName, 'SSSSSSSSS' as DocSer, '900000000000' as DocNum union all
	select 12 as IDDoc, '    ' as DosName, 'SSSSSSSS' as DocSer, '900000000000' as DocNum union all
	select 13 as IDDoc, '     ' as DosName, 'SSSSSSSS' as DocSer, '900000000000' as DocNum union all
	select 14 as IDDoc, '   ' as DosName, '99 99' as DocSer, '9999990' as DocNum union all
	select 15 as IDDoc, '    ' as DosName, '99' as DocSer, '9999999' as DocNum union all
	select 16 as IDDoc, ' ' as DosName, '' as DocSer, '999990' as DocNum union all
	select 17 as IDDoc, '   ' as DosName, '' as DocSer, '999999' as DocNum union all
	select 18 as IDDoc, ' ' as DosName, 'SSSSSSSSS' as DocSer, '9000000000' as DocNum union all
	select 21 as IDDoc, '  ' as DosName, 'SSSSSSSSS' as DocSer, '900000000000' as DocNum union all
	select 22 as IDDoc, '   ' as DosName, 'SSSSSSSSS' as DocSer, '900000000000' as DocNum union all
	select 23 as IDDoc, '   ' as DosName, 'SSSSSSSSS' as DocSer, '900000000000' as DocNum union all
	select 24 as IDDoc, '  ,     ' as DosName, 'SSSSSSSSS' as DocSer, '900000000000' as DocNum union all
	select 25 as IDDoc, '        ' as DosName, '-999' as DocSer, '9999999' as DocNum union all
	select 26 as IDDoc, '    ' as DosName, '' as DocSer, '999999' as DocNum union all
	select 27 as IDDoc, '     ' as DosName, 'SSSSSSSS' as DocSer, '900000000000' as DocNum union all
	select 28 as IDDoc, ' ,         ' as DosName, 'SSSSSSSSS' as DocSer, '900000000000' as DocNum union all
	select 29 as IDDoc, ' ' as DosName, 'SSSSSSSSS' as DocSer, '900000000000' as DocNum;

update Spr_Doc 
	set Name = spr.Name,
		MaskSer = spr.MaskSer,
		MaskNum = spr.MaskNum
from Spr_Doc
	join @spr as spr
	on spr.Kod = Spr_Doc.Kod
where Spr_Doc.Kod in (select kod from (select Kod, Name, MaskSer, MaskNum from Spr_Doc except select * from @spr) tt);


insert into Spr_Doc (Kod, Name, MaskSer, MaskNum)
    select Kod, Name, MaskSer, MaskNum from @spr as spr
    where kod not in (select kod from Spr_Doc);